# eric4.QScintilla.SearchReplaceWidget

Module implementing the search and replace widget.

### Global Attributes

None

### Classes

SearchReplaceWidget | Class implementing the search and replace widget.

### Functions

None

## SearchReplaceWidget

Class implementing the search and replace widget.

### Signals

searchListChanged
  emitted to indicate a change of the search list

### Derived from

QWidget

### Class Attributes

None

### Class Methods

None

### Methods

SearchReplaceWidget | Constructor
__doReplace | Private method to replace one occurrence of text.
__findByReturnPressed | Private slot to handle the returnPressed signal of the findtext combobox.
__findNextPrev | Private method to find the next occurrence of the search text.
__markOccurrences | Private method to mark all occurrences of the search text.
__showFind | Private method to display this widget in find mode.
__showReplace | Private slot to display this widget in replace mode.
findNext | Public slot to find the next occurrence of text.
findPrev | Public slot to find the next previous of text.
keyPressEvent | Protected slot to handle key press events.
on_closeButton_clicked | Private slot to close the widget.
on_findNextButton_clicked | Private slot to find the next occurrence of text.
on_findPrevButton_clicked | Private slot to find the previous occurrence of text.
on_findtextCombo_editTextChanged | Private slot to enable/disable the find buttons.
on_replaceAllButton_clicked | Private slot to replace all occurrences of text.
on_replaceButton_clicked | Private slot to replace one occurrence of text.
on_replaceSearchButton_clicked | Private slot to replace one occurrence of text and search for the next one.
selectionChanged | Public slot tracking changes of selected text.
show | Overridden slot from QWidget.
updateSelectionCheckBox | Public slot to update the selection check box.

### Static Methods

None

#### SearchReplaceWidget (Constructor)

SearchReplaceWidget(replace, vm, parent = None)

Constructor

replace
  flag indicating a replace widget is called
vm
  reference to the viewmanager object
parent
  parent widget of this widget (QWidget)

#### SearchReplaceWidget.__doReplace

__doReplace(searchNext)

Private method to replace one occurrence of text.

searchNext
  flag indicating to search for the next occurrence (boolean).

#### SearchReplaceWidget.__findByReturnPressed

__findByReturnPressed()

Private slot to handle the returnPressed signal of the findtext combobox.

#### SearchReplaceWidget.__findNextPrev

__findNextPrev(txt, backwards)

Private method to find the next occurrence of the search text.

txt
  text to search for (QString)
backwards
  flag indicating a backwards search (boolean)

Returns:
  flag indicating success (boolean)

#### SearchReplaceWidget.__markOccurrences

__markOccurrences(txt)

Private method to mark all occurrences of the search text.

txt
  text to search for (QString)

#### SearchReplaceWidget.__showFind

__showFind(text = '')

Private method to display this widget in find mode.

text
  text to be shown in the findtext edit

#### SearchReplaceWidget.__showReplace

__showReplace(text='')

Private slot to display this widget in replace mode.

text
  text to be shown in the findtext edit

#### SearchReplaceWidget.findNext

findNext()

Public slot to find the next occurrence of text.

#### SearchReplaceWidget.findPrev

findPrev()

Public slot to find the next previous of text.

#### SearchReplaceWidget.keyPressEvent

keyPressEvent(event)

Protected slot to handle key press events.

event
  reference to the key press event (QKeyEvent)

#### SearchReplaceWidget.on_closeButton_clicked

on_closeButton_clicked()

Private slot to close the widget.

#### SearchReplaceWidget.on_findNextButton_clicked

on_findNextButton_clicked()

Private slot to find the next occurrence of text.

#### SearchReplaceWidget.on_findPrevButton_clicked

on_findPrevButton_clicked()

Private slot to find the previous occurrence of text.

#### SearchReplaceWidget.on_findtextCombo_editTextChanged

on_findtextCombo_editTextChanged(txt)

Private slot to enable/disable the find buttons.

#### SearchReplaceWidget.on_replaceAllButton_clicked

on_replaceAllButton_clicked()

Private slot to replace all occurrences of text.

#### SearchReplaceWidget.on_replaceButton_clicked

on_replaceButton_clicked()

Private slot to replace one occurrence of text.

#### SearchReplaceWidget.on_replaceSearchButton_clicked

on_replaceSearchButton_clicked()

Private slot to replace one occurrence of text and search for the next one.

#### SearchReplaceWidget.selectionChanged

selectionChanged()

Public slot tracking changes of selected text.

#### SearchReplaceWidget.show

show(text = '')

Overridden slot from QWidget.

text
  text to be shown in the findtext edit

#### SearchReplaceWidget.updateSelectionCheckBox

updateSelectionCheckBox(editor)

Public slot to update the selection check box.

editor
  reference to the editor (Editor)

Up